<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta http-equiv="X-UA-Compatible" content="ie=edge" />
        <title>Chirp</title>

        <!-- CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
        <link rel="stylesheet" href="css/chirp.css" />

        <!-- Optional theme -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" />
        
        <!-- JS -->
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.2/angular.min.js"></script>
        <script type="text/javascript" src="js/chirpApp.js"></script>
    </head>
    <body ng-app="chirpApp">
        
        <div id="main" ng-controller="mainController">
            <form ng-submit="post()">
                <input type="text" class="form-control" placeholder="Your name" required ng-model="newPost.created_by" />
                <textarea maxlength="200" class="form-control" cols="30" rows="10" placeholder="Say something" ng-model="newPost.text" required></textarea>

                <input type="submit" class="btn submit-btn pull-right" value="Chirp!" />
            </form>
            <div id="post-stream">
                <h4>Chirp feed</h4>
                <br/>
                <div class="post" ng-repeat="post in posts | orderBy:'create_at':true" ng-class-odd="'odd'" ng-class-even="'even'">
                    <p>{{post.text}}</p>
                    <small>Posted by @{{post.created_by}}</small>
                    <small class="pull-right">{{post.create_at | date:"h:mm a 'on' MMM d, y"}}</small>
                </div>
            </div>
        </div>

    </body>
</html>